Get payment

Retrieves a payment by ID. Requires the ORDERS_READ scope.

GET https://api.pandabase.io/v2/core/stores/{storeId}/orders/payments/{paymentId}

Authentication

Requires a bearer token (sk_…) or an API key in the header Authorization.

Path parameters

storeId string required

(length 12–48)

paymentId string required

(length 12–48)

Header parameters

idempotency-key string

(length 8–32)

Response 200

Default Response

ok enum required

(one of true)

data object required

No description.

Response 404

Default Response

ok enum required

(one of false)

error string required

No description.

Request
curl -X GET https://api.pandabase.io/v2/core/stores/:storeId/orders/payments/:paymentId
Response
{  "ok": true,  "data": {    "id": "pmt_5h7n4tr3bcfp2v8q1mzj0kxw",    "referenceId": "pi_3OXxxxxx0123456789ABCDEF",    "amount": 2900,    "totalAmount": 2920,    "status": "COMPLETED",    "pspProvider": "MULTI_PSP",    "paymentMethod": {      "type": "card",      "cardBrand": "visa",      "cardLastFour": "4242"    },    "couponCode": null,    "country": "US",    "customer": {      "id": "cus_j8h0r1n4tzcbfp2v8q1mzwx5",      "email": "buyer@example.com",      "firstName": "Alex",      "lastName": "Doe",      "guest": false    },    "order": {      "id": "ord_p2v8q1mzj0kxw5h7n4tr3bcf",      "orderNumber": "cs_abcdef0123456789",      "status": "COMPLETED",      "amount": 2900,      "currency": "USD"    },    "createdAt": "2026-05-14T12:34:56.000Z",    "discountAmount": 0,    "platformFeeAmount": 191,    "pspFeeAmount": 114,    "taxAmount": 20,    "settledAmount": 2615,    "presentmentCurrency": null,    "presentmentAmount": null,    "exchangeRate": null,    "taxId": null,    "ipAddress": "203.0.113.42",    "userAgent": "Mozilla/5.0",    "geo": {      "city": "San Francisco",      "region": "CA",      "country": "US",      "postal": "94105",      "asn": null,      "org": null    },    "dispute": null,    "timeline": [],    "availablePaymentMethods": [      "card",      "klarna"    ],    "network": null,    "updatedAt": "2026-05-14T12:35:10.000Z"  }}